AutoCAD Inventor :: 3D Sketch Only Allow One Edge Through A Point
Jan 18, 2012
I use vb.net draw a cube frame (just point and add edge to link points) in 3dsketch. But at the corner, I got only one edge, the others are filled that is a arc is inserted between the 2nd & 3rd edge to the corner point. There is no second edge is extended to that point.
Just wondering why I got the result. There is no fillet command in my code.
View 1 Replies
ADVERTISEMENT
Dec 3, 2013
I was trying to query some sketch points data from a profile Path using code as below. However the program stopped without telling the reason.
Code below:
i = 0;
foreach (ProfileEntity oSourceProfileEntity in oProfilePath) { switch (oProfilePath[i].SketchEntity.Type) { case ObjectTypeEnum.kSketchArcObject: { SketchArc srcSkArc = default(SketchArc); srcSkArc = (SketchArc) oSourceProfileEntity.SketchEntity; // error points[i] = srcSkArc.StartSketchPoint.Geometry; break; } default: { SketchLine srcSkLine = default(SketchLine); srcSkLine =(SketchLine) oProfilePath[i].SketchEntity; // error points[i] = srcSkLine.StartSketchPoint.Geometry; break; } } i++; }
View 2 Replies
View Related
Dec 15, 2012
I want to concide two points of two different lines.These two lines have been created in two different workplanes with 2D sketch.
View 7 Replies
View Related
Jan 17, 2012
I'm trying to contrain the end points of 2 lines using iLogic. I know the end points but I cannot get the values into the SketchPoint object. The real odd thing is I can create the lines no problem. I tried it 2 different ways shown below. The first way gives me this error..."Object reference not set to an instance of an object.". The second says "Unable to cast COM object.."
Dim oTG As TransientGeometry
oTG = ThisApplication.TransientGeometry
Dim EntityEndPt As SketchPoint
EndPtX = 0 * 2.54
EndPtY = 3 * 2.54
‘Code Fails Here!
EntityStartPt.Geometry.X = EndPtX
View 5 Replies
View Related
Nov 11, 2013
I just want to know that how can I get the center point from a Sketch Object ?
View 1 Replies
View Related
Mar 16, 2012
How would one add a sketch-point to a midpoint of an arc? For a SketchLine its easy...
oSketch.GeometricConstraints.AddMidpoint oSketchPoint, oSketchLine
However, I can't see how to do the same operation to find the midpoint of a SketchArc. The interface of course has a selection filter for this so I assume the API can do the same?
View 6 Replies
View Related
May 6, 2013
The screen shot below shows three coincident constraints and a projection icon on the origin.
looks like a projection icon - what does it mean?
I want to delete the three coincident constraints. But when I delete the coincident constraints there is no Sketch origin center point (the sketch origin center point is a square-yellow dot at the x-y intersection). How to delete or move the three coincident constraints with out deleting the sketch origin center point?
View 2 Replies
View Related
Oct 4, 2011
I have this assembly shown in the pic. below. I'm trying to create a point or axis in the blue corner points (to attaches something later on) but it just won't let me choose it for some reason. I know that it's possible to to do that (almost sure I already done this trivial thing in inventor.)
Any reason it's not letting me choose the sketch points/line to in order to create points or axis(s)?
Inventor 2012 Pro.
I7 workstation
View 8 Replies
View Related
Sep 27, 2013
I cannot make a plane parallel to a surface and through a sketch point.
I can't also select the sketch point or line in order to make an axis. the sketch point, line from the sketch or anything from a sketch isn't selectable.
View 4 Replies
View Related
Apr 24, 2012
how do I retrieve the centre point in my design axis in Inventor, when I create a new sketch, like the point at x0:y0:z0
View 2 Replies
View Related
Sep 20, 2013
It goes f.e. like this:
I draw a line (no constrains) and I can move it by grabing an end or whole line by click&hold mouse button, great.
But after couple minutes of work with part and sketches I can't grab anything. Even on new created sketches and new lines. Click and drag just open rectangle selection. Oh, between these phases there is a phase when 2nd click&hold works...
When I open/create another part it is normall, but this one I must close and open again.
View 2 Replies
View Related
Oct 19, 2011
Inventor 2010
Some how I turned off the snap to end point in the sketch mode. where is the dialog box to control snap settings
View 2 Replies
View Related
Jul 11, 2012
I would like to use iLogic to find the location of the points of a line, determine if the line is approximately vertical, and apply a vertical constraint if it is vertical.
Here is the code process I envision:
1. Automatically select a straight line.
2. Find the location of its end points.
3. Compare the X-value of the end points to see if they are vertically aligned (or almost so).
4. If they are vertically aligned, apply a vertical constraint.
5. Select next line and repeat.
Is this possible with iLogic? I don't see any way of calling a line's sketch points or finding their location.
View 4 Replies
View Related
Jul 9, 2013
I know why you cant loop select and offset the rectangle but surley if you are going to take the time to listen to users and create requested tools, you should do it well?
View 4 Replies
View Related
Oct 29, 2013
In assembly mode, how can I click on two lines in a part sketch and get there intersection point using VBA?
View 3 Replies
View Related
Aug 7, 2012
Unfortunately, it's chock full of proprietary customer data, so I can't share the parts or the assembly. But I can pretty well explain what needs to happen, and I've attached a JPG that shows a bit of what I'm doing.
I need to design a bracket to hold an RPM sensor at a certain gap to a spiral bevel gear. I've got a huge assembly model (non-Inventor) from the customer, as well as the model for the sensor. My plan is to start a master IAM, insert the customer assembly, insert the sensor and constrain him, and draw the various hardware I need around the sensor.
So I start by making a work plane that matches the bevel angle and is in a location so the end of my sensor will be flush to that plane. Create a sketch on that plane, then project 2 relevant axes to create the appropriate "origin" from which my location will be based. Place a point on one line, at a certain radial distance and constrain my point.
So now I've got a point and a plane that are where I want my sensing face and my centerline axis to be. What now? I was thinking that I'd create a work axis "normal to plane through a point", but this workflow isn't available in the assembly environment. I can't constrain a solid to a sketch point, so I really don't know what to do at this point in order to put the part where I need it.
View 2 Replies
View Related
Oct 26, 2012
I have been searching for a macro to export the start and end point of a line coordinates to excel, but I can only find information on how to export 3D Points.
Is it possible to program a macro that allows me to export the start and end point of various lines in a sketch?
The objective of this is to connect an excel file which is updated when I create a line with it correspondent points, then i could not only import these x,y,z coordinates from excel to inventor but I whould be able to update my spreedsheet whenever I change my sketch.
View 1 Replies
View Related
Apr 1, 2013
Is it possible to create a work point on the midpoint of the curved edge of any feature.
I was not able to access the midpoint of an edge.
Config :: Intel (R) Xeon (R) CPU E31245 @ 3.30 GHz, 16.0 GB, 64bit win7
Inventor 2013 and Vault Basic 2013
View 2 Replies
View Related
Sep 21, 2011
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
View 2 Replies
View Related
Sep 20, 2012
How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
View 4 Replies
View Related
Aug 1, 2011
First we imported an ".igs" file to inventor, which produced "wires". Then by promoting the wires it produced a 3-d sketch.
The model is in one plane and 2-D, and we are trying to use Ansys 2-D analysis, but in-order to do so it needs to be in a 2-D sketch.
The model is too large to be redrawn on a 2-D plane, how to convert it to a 2-D sketch
View 9 Replies
View Related
Dec 14, 2012
want to change sketch 2013 into the sketch of 2010
View 1 Replies
View Related
May 30, 2013
When I edit certain sketched some other sketches disappear. see attached.
This is causing modelling to slow down as I can not project lines from the sketch that has disappeared.
View 8 Replies
View Related
Aug 22, 2012
After I create a adaptive part from projected sketch. How to modify the sketch? Please see the part attached.
View 6 Replies
View Related
Mar 4, 2012
what is the difference between a sketch and a planar sketch?
View 2 Replies
View Related
Aug 16, 2012
I'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?
View 2 Replies
View Related
Nov 15, 2012
I need to find a way how to insert a point or a * on the center point of a hole and put it on a different layer. The reason for this is - I am a CAD tech for a welding shop and we cut parts out of steel and we use the dxf file format for our plasma table to cut parts. For example : if i have a 1 inch thick plate and want to put a 3/4'' hole in the plate the hole will be distorted because the hole is smaller than the material thickness. For these situation we can use the plasma table to burn a point or a dot on the center point of the hole. But to do this the point or dot must be on a different layer in the dxf.
View 2 Replies
View Related
Jan 15, 2014
I have and element and what I'm trying to do when I click on this element, it starts to play reverse the timeline for 1 sec and after that it continues to playing the timeline from an other point.
View 3 Replies
View Related
Oct 27, 2012
I have an issue with the student version of Maya 2013. This issue is reproducible in my environment when I try to align an edge to a snap point pressing the V key and move the edge with the move tool. May 2013 hang then and I have to close it ending the task in the task manager.Many times I deleted the Maya folder in my documents folder in order to start from the scratch, but it hangs again if I try the procedure i described above. Some times it take more time until Maya hang, some times after a few moves.I have installed Maya 2013 many times from the scratch, deleting before all the directories in the different locations (as described in an Autodesk paper).I have to run Maya 2013 while I need to export my files with an exporter which just work in the 32bit version of Maya.
In the Event log viewer from Windows 7 x64 there are two records during this hang:
Fault bucket 50, type 5
Event Name: AppHangB1
Response: Not available
Cab Id: 0
Problem signature:
P1: maya.exe
P2: 13.0.186.0
P3: 4f44e75c
P4: 6ca2
P5: 2048
P6:
P7:
P8:
P9:
P10:
Attached files:
C:UsersLecraAppDataLocalTempWER3959.tmp.appcompat.txt
C:UsersLecraAppDataLocalTempWER39C7.tmp.WERInternalMetadata.xml
These files may be available here:
C:UsersLecraAppDataLocalMicrosoftWindowsWERReportArchiveCritical_maya.exe_8736ecaa762b7ca1a2f14929fe98d82f9482e8_0877449f
Analysis symbol:
Rechecking for solution: 0
Report Id: 382b88ab-2041-11e2-82ba-3860770f5418
Report Status: 0
The second one:
The program maya.exe version 13.0.186.0 stopped interacting with Windows and was closed. To see if more information about the problem is available, check the problem history in the Action Center control panel.
Process ID: 18a8
Start Time: 01cdb44cd78b5da1
Termination Time: 65
Application Path: D:PROGRAMSMaya2013inmaya.exe
Report Id:
Installed Maya on three different hard disks (one is a SSD)but no difference.Below my hardware:
HP HPE H8 Desktop Intel Core i7-2600 CPU 3.4GHz, 16GB RAM, 64bit Windows 7, NVIDIA GeForce GTX 550 Ti with 4MB RAM.
I know that my graphic card is not in the hardware compatibility list and I will replace them with an ATI V5900 which is on the list.
View 9 Replies
View Related
Sep 29, 2013
I am trying to find out if it is possible to start/load the animation based on a specific point in its timeline? The animation I am creating is a parallax animation based on mouse position and I am trying to load it in the middle of the animation and based on the users mouse position will play forward or backwards from that point.
View 2 Replies
View Related
Apr 7, 2014
I'm working on a project that requires some interaction controlling video. I've used the piece of code from this thread [URL] and it works like a charm. But I'm looking at option of using youTube video for the same interaction.
So on creationComplete, I've added,
var vid = sym.$("holder");
vid.html('<iframe width="640" height="360" id="video1" src="//www.youtube.com/embed/o2l_zZOpSxk" frameborder="0" allowfullscreen="0" controls="controls"></iframe>');
View 7 Replies
View Related